# QGroupBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QGroupBox(QWidget parent)
- void QGroupBox(String title, QWidget parent)

### Constructor Properties

- prototype: The QGroupBox prototype object

### Prototype Object Properties

The QGroupBox prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QSize minimumSizeHint()
- void setAlignment(int alignment)

### Instance Properties

QGroupBox objects inherit properties from the QGroupBox prototype object and also have the following properties.

- title
- alignment
- flat
- checkable
- checked